### Method

# Gio FileInfo get_size

#### Declaration [src]

    goffset
    g_file_info_get_size (
      GFileInfo* info
    )

#### Description [src]

Gets the file’s size (in bytes). The size is retrieved through the value of the `G_FILE_ATTRIBUTE_STANDARD_SIZE` attribute and is converted from #guint64 to #goffset before returning the result.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_STANDARD_SIZE`.

#### Return value

Type: `goffset`

A #goffset containing the file’s size (in bytes).